/*
Theme Name: TekBase by Koesio
Template: simple-life
Author: Sébastien GUESNEAU
Version: 1.2
*/


/*--------------------------------------------------------------
1.0 Couleurs
--------------------------------------------------------------*/

:root {
    --color-primary-0: 110, 57, 142;
    --color-primary-1: 18, 0, 17;
    --color-primary-2: 65, 0, 63;
    --color-primary-3: 161, 106, 158;
    --color-primary-4: 228, 226, 228;
    --color-primary-5: 232, 219, 231;
    --color-primary-6: 243, 147, 36;
    --color-primary-7: 255, 255, 255;
    --color-secondary-0: 43, 83, 160;
    --color-secondary-1: 255, 214, 30;
    --color-secondary-2: 238, 114, 2;
    --color-secondary-3: 35, 166, 56;
    --color-secondary-4: 234, 75, 88;
    --color-secondary-5: 63, 192, 240;
    --color-secondary-6: 150, 193, 31;
}


/*--------------------------------------------------------------
2.0 Typography
--------------------------------------------------------------*/

@import url("fonts/BeVietnam/stylesheet.css");
#page {
    background-image: url(/wp-content/uploads/2021/04/grey.png);
}

@media only screen and (min-width : 1200px) {
	ul.sub-menu>li:hover {
		background-color: #e2d7ea;
	}
	
	#primary-menu>li:hover{
		background-color: #e2d7ea;
	}
}

@media (min-width: 768px) {
    .col-sm-8 {
        width: 72%;
    }
	.col-sm-4 {
        width: 28%;
    }
}

header.container,
div#content,
footer.container {
	width: 100%;
	margin-left: auto;
	margin-right: auto;
}

@media (min-width: 1300px) {
    /*header.container,
    div#content,
    footer.container {
        width: 1290px;
        margin-left: auto;
        margin-right: auto;
    }*/
}

@media (min-width: 1900px) {
    /*header.container,
    div#content,
    footer.container {
        width: 1890px;
        margin-left: auto;
        margin-right: auto;
    }*/
	
	.col-sm-8 {
        width: 80%;
    }
	.col-sm-4 {
        width: 20%;
    }
}

.language-switcher {
    display: none;
}

body,
button,
input,
select,
textarea,
p {
    color: #404040;
    font-family: unset;
    font-family: 'Be Vietnam', arial, sans-serif !important;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 7px;
    /* margin: 5px; */
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
    border: medium none;
    background: none repeat scroll 0 0 rgb(var(--color-primary-0));
    cursor: pointer;
    -webkit-appearance: button;
    font-size: 12px;
    line-height: 1.4;
    color: #ffffff;
    padding: 0.75em 1.5em;
    font-weight: bold;
    text-transform: uppercase;
}

.menu-item-home,
.menu-item-home>a:focus,
.menu-item-home>a:active {
    color: rgb(var(--color-primary-7)) !important;
}

.widget a,
.entry-footer a,
.menu-item li>a,
.widget li:before,
.navigation a,
.PostMeta a,
.fa-chevron-left,
.fa-chevron-right,
.comment-form a,
fieldset>legend,
.entry-title>a,
.entry-content>a,
.comment-list a,
.DWLLink,
.wp-link-preview>a,
.readmore,
.entry-meta,
.entry-footer,
span>a {
    color: rgb(var(--color-primary-0)) !important;
}

aside.widget,
.wp-editor-container,
.hentry {
    border-radius: 7px;
}

.mce-first,
.mce-container-body {
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
}

.mce-statusbar {
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
}

.DWLLink>i {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: rgb(var(--color-primary-0));
}

.sub-menu>.menu-item>a:hover {
    color: rgb(var(--color-primary-6));
}

.entry-title>a:hover {
    color: rgb(var(--color-primary-3)) !important;
}

/* .main-navigation li:hover {
	background-color: rgb(var(--color-primary-7)) !important;
} */

/* #primary-menu>li:hover{
	background-color: #e2d7ea;
} */

.main-navigation li:hover>a {
    color: rgb(var(--color-primary-0));
	font-weight:bold;
}

nav.mean-nav li>a {
    color: rgb(var(--color-primary-7)) !important;
}

.widget-area>aside,
.site-main>header,
.site-main>article {
    box-shadow: 4px 4px 10px 0px rgb(65 0 63 / 50%);
}

.widget-area .widget_wp_sidebarlogin .sidebar-login-links, .widget_wp_sidebarlogin .sidebar-login-links {
    margin-left: 20px;
    margin-top: 0;
    padding: 0;
    list-style: none outside !important;
    align-self: center;
    flex-grow: 1;
}

h1,
h2,
h3,
article h2>a,
article h3>a,
article h4,
.entry-header h1,
.entry-header h2,
.widget-title,
.moderation-Link {
    color: rgb(var(--color-primary-0)) !important;
}

.main-navigation,
.button-primary {
    background-color: rgb(var(--color-primary-0));
}

nav#site-navigation {
    border-radius: 15px;
}

footer#colophon {
    background-color: rgb(var(--color-primary-0));
}

.progress-bar {
    background-color: rgb(var(--color-primary-3));
}

.list-group-item.active,
.list-group-item.active:focus,
.list-group-item.active:hover {
    background-color: rgb(var(--color-primary-3));
}

.panel-primary>.panel-heading {
    background-color: rgb(var(--color-primary-3));
}

select,
input[type="text"] {
    background-color: rgba(var(--color-primary-3), 0.2);
}

select>option:hover {
    background-color: rgb(var(--color-primary-3)) !important;
    color: rgb(var(--color-primary-7));
}


/* PERSONNALISATION */

.widget li::before {
    margin: 0 5px 0 -15px;
}

.sidebar-login-account__avatar img {
    width: 120px;
    margin-right: 20px;
}

.PostMeta {
    display: flex;
    flex-direction: column;
}

.PostGlobalMeta {
    display: flex;
    flex-direction: row;
}

.AutorAvatar {
    display: flex;
    align-items: center;
}

.AutorAvatar img {
    padding: 2px;
    border: 1px solid #ddd;
    margin-right: 10px;
    border-radius: 50%;
    vertical-align: top;
}

.PostMeta .author>a {
    font-size: 1.3em;
    font-style: italic;
}

nav.mean-menu ul.sub-menu>li{
	width:93% !important;
}

nav.main-navigation ul.sub-menu>li.menu-item-has-children>a:before {
	font-family: "FontAwesome" !important;
    font-style: normal !important;
    font-weight: normal !important;
    font-variant: normal !important;
    text-transform: none !important;
	color: rgb(var(--color-primary-0));
    speak: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: absolute;
    right: 2px;
/*     top: 12px; */
    content: "\f105";
    font-size: 14px;
    width: 14px;
    text-align: left;
    display: inline-block;
}

nav.main-navigation ul.sub-menu>li.menu-item{
	/*height: 30px;*/
	/*width: auto;*/
}

ul.sub-menu>li:hover,
ul.nav-menu>li:hover {
    cursor: pointer;
}

ul.sub-menu>li>a{
	background: unset;	
}

/* ul.sub-menu>li:hover {
	background-color: #e2d7ea;
} */

.main-navigation ul ul {
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
    float: left;
    position: absolute;
    top: 48px;
    left: -999em;
    z-index: 99999;
    min-width: 200px;
}

a.meanmenu-reveal{
	text-align: center;
    -webkit-writing-mode: inherit;
}

.mean-container .mean-nav ul li a.mean-expand {
    margin-top: 1px;
    width: 35px;
    padding: 5px!important;
    text-align: center;
    -webkit-writing-mode: inherit;
    position: absolute;
    right: 0;
    top: 0px;
    z-index: 2;
    background: rgba(255,255,255,.1);
    border: none!important;
    border-left: 1px solid rgba(255,255,255,.4)!important;
    border-bottom: 1px solid rgba(255,255,255,.2)!important;
    line-height: 1.5;
    max-height: max-content;
}

/* 
 * Widget Search
 * */

#SearchWidget_smartsearchLink{
	font-style: italic;
	font-weight: bold;
}

.validation_widgetSearch{
	margin-top: 10px;
	display: flex;
	flex-direction: row;
	justify-content:space-between;
	align-items: center;
}

/*
    Tool-config icon
*/

.entry-header {
    display: flex;
    justify-content: space-between;
}

div.tool-config {
    display: flex;
    align-items: center;
    font-size: x-large;
}

.tool-config>* {
    color: rgb(var(--color-secondary-4)) !important;
}